/*************************************************************************
* Primo programma esempio di Impariamo a programmare l'Amiga (4)         *
* creato da Giuseppe Ligorio                                             *
* scopo: apre uno schermo con OpenScreenTags                             *
*************************************************************************/

#define INTUI_V36_NAMES_ONLY

#include <exec/types.h>
#include <intuition/intuition.h>
#include <intuition/screens.h>
#include <clib/exec_protos.h>
#include <clib/dos_protos.h>
#include <clib/intuition_protos.h>

/* puntatore alla base della librerie intuition.library */
struct Library *IntuitionBase;

void main()
{
  struct Screen *schermo;   /* puntatore allo schermo */
  UWORD penne[] = { ~0 };   /* informazioni minime sulle penne per ottenere il look 3D */
  char att[40];             /* stringa per l'attesa */
  
  /* apertura intuition.library di versione 36 o superiore */
  if ((IntuitionBase = OpenLibrary("intuition.library",36)) == NULL)
  {
    printf("Errore, non posso aprire libreria\n");
    exit(0);
  }
  
  /* apertura schermo con 2 bitplanes, penne per look 3D e titolo */
  if ((schermo = OpenScreenTags(NULL,SA_Pens,(ULONG)penne,
                                     SA_Depth,2,
                                     SA_Title,"Primo schermo.",
                                     TAG_DONE)) == NULL)
  {
    printf("Errore, non posso aprire lo schermo\n");
    CloseLibrary(IntuitionBase);
    exit(0);
  }

  /* attesa inserimento stringa */
  gets(att);

  /* chiusura schermo e libreria */
  CloseScreen(schermo);
  CloseLibrary(IntuitionBase);
}
